com.google.cloud.dataflow.sdk.transforms

## Class MapElements.MissingOutputTypeDescriptor<InputT,OutputT>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.MapElements.MissingOutputTypeDescriptor<InputT,OutputT>

Enclosing class:
  MapElements<InputT,OutputT>

    public static final class MapElements.MissingOutputTypeDescriptor<InputT,OutputT>
    extends Object

An intermediate builder for a `MapElements` transform. To complete the transform, provide an output type descriptor to `withOutputType(com.google.cloud.dataflow.sdk.values.TypeDescriptor<OutputT>)`. See `MapElements.via(SerializableFunction)` for a full example of use.

### Method Summary

All Methods Instance Methods Concrete Methods
`MapElements<InputT,OutputT>` `withOutputType(TypeDescriptor<OutputT> outputType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withOutputType

    public MapElements<InputT,OutputT> withOutputType(TypeDescriptor<OutputT> outputType)